:root {
    --bs-primary: #FF5E14; /* Couleur principale */
    --bs-primary-rgb: 236, 105, 50; /* Valeur RGB pour les effets */
    --bs-primary-hover: #d75b2a; /* Couleur pour les hover si vous voulez un peu plus foncé */

    --bs-secondary: #141B2E; /* Nouvelle couleur secondary */
    --bs-secondary-rgb: 20, 27, 46; /* Valeur RGB pour les effets */
    --bs-secondary-hover: #0F1526; /* Couleur pour le hover */

    --color-night-blue: #141B2E;

}

/* Applique la police Manrope par défaut à tout le texte */
body {
    font-family: 'Manrope', sans-serif;
    color: var(--color-night-blue);
}

.w-1320 {
    max-width: 1320px;
    margin: auto;
}

/* Applique la police Exo aux titres, accroches et chiffres clés */
h1, h2, h3, h4, h5, h6, .btn {
    font-family: 'Exo', sans-serif;
}

.exo {
    font-family: 'Exo', sans-serif !important;
}

.manrope {
    font-family: 'Manrope', sans-serif !important;
}

/* Pour les boutons avec des classes `.btn-primary` */
.btn-primary {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
    background-color: var(--bs-primary-hover);
    border-color: var(--bs-primary-hover);
}

/* Pour les backgrounds avec la classe `.bg-primary` */
.bg-primary {
    background-color: var(--bs-primary) !important;
}

.bg-custom-gray {
    background-color: #F8F8F8;
}

/* Pour les contours */
.border-primary {
    border-color: var(--bs-primary) !important;
}

/* Pour les boutons outline */
.btn-outline-primary {
    color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-outline-primary:hover,
.btn-outline-primary:focus,
.btn-outline-primary:active {
    background-color: var(--bs-primary);
    color: #fff; /* Texte en blanc pour le contraste */
    border-color: var(--bs-primary);
}

/* Pour les boutons avec des classes `.btn-secondary` */
.btn-secondary {
    background-color: var(--bs-secondary);
    border-color: var(--bs-secondary);
}

.btn-secondary:hover,
.btn-secondary:focus,
.btn-secondary:active {
    background-color: var(--bs-secondary-hover);
    border-color: var(--bs-secondary-hover);
}

/* Pour les backgrounds avec la classe `.bg-secondary` */
.bg-secondary {
    background-color: var(--bs-secondary) !important;
}

/* Pour les contours */
.border-secondary {
    border-color: var(--bs-secondary) !important;
}

/* Pour les boutons outline */
.btn-outline-secondary {
    color: var(--bs-secondary);
    border-color: var(--bs-secondary);
}

.btn-outline-secondary:hover,
.btn-outline-secondary:focus,
.btn-outline-secondary:active {
    background-color: var(--bs-secondary);
    color: #fff; /* Texte en blanc pour le contraste */
    border-color: var(--bs-secondary);
}

.accordion-soremat .accordion-button:not(.collapsed) {
    color: var(--bs-accordion-active-color);
    background-color: #fff;
    box-shadow: unset;
}

.accordion-soremat .accordion-button:focus {
    box-shadow: unset;
}

.color-night-blue {
    color: var(--color-night-blue);
}

.bg-night-blue {
    background-color: var(--color-night-blue);
    color: #fff;
}

.fw-400 {
    font-weight: 400;
}

.fw-500 {
    font-weight: 500;
}

.fw-600 {
    font-weight: 600;
}

.fw-700 {
    font-weight: 700;
}

p a {
    color: var(--bs-primary);
    text-decoration: none;
}

.filtre-ariane a {
    text-decoration: none !important;
    color: inherit !important;
}

body div.container-fluid .ignore-d-none-br br {
    display: unset !important;
}

.custom-navbar {
    background: linear-gradient(to left, #FF5E14 50%, transparent 50%);
}

#FloatingPolygone {
    width: calc(100px / 1.414); /* Ajusté pour correspondre à la hauteur */
    height: calc(100px / 1.414);
    background-color: #FF5E14;
    top: 50%;
    left: 0;
    transform: translate(-50%, -50%) rotate(45deg);
    border-end-start-radius: 20px;
}

.custom-banner {
    height: 100px; /* Séparation du style */
}

.contact-info {
    color: #fff;
    font-size: 1rem;
}

.update-info {
    color: #fff;
    font-size: 0.875rem;
}

#spinnerFilter {
    display: none;
}

#MenuPrincipal .navbar-nav .nav-item > a {
    border-right: 1px solid var(--color-night-blue);
    padding-right: 15px;
    padding-left: 15px;
}

#MenuPrincipal .navbar-nav .nav-item:last-child > a {
    border-right: none;
}

#MenuPrincipal .navbar-nav .nav-item a {
    color: var(--color-night-blue);
    font-size: 18px;
}

#responsiveMenu .nav-link {
    font-size: 22px;
}

#responsiveMenu {
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    transform: translateX(-100%);
    opacity: 0;
}

#responsiveMenu.show {
    transform: translateX(0);
    opacity: 1;
}

#responsiveMenu.hide {
    transform: translateX(-100%);
    opacity: 0;
}

.big-text-section {
    font-size: 55px;
    font-weight: 400;
    line-height: 60px;
}

.sous-titre-section {
    font-size: 15px;
    font-weight: 500;
    line-height: 22px;
}

@media (max-width: 1199.98px) {
    .container-field select {
        width: 100%;
    }

    #block-alert > div {
        width: 100%;
    }

    #block-alert p {
        display: block !important;
    }

    #block-alert p br {
        display: none;
    }

    #block-rachat p br {
        display: none;
    }

    .custom-navbar {
        display: none !important;
    }

    .custom-navbar-responsive {
        display: block !important;
    }

    .custom-navbar-responsive button {
        font-size: 25px;
    }

    .custom-navbar-responsive img {
        max-width: 180px;
    }

    h2.titre-section {
        font-size: 45px !important;
        line-height: 50px !important;
    }

    h2.titre-section img.img-eco-circulaire {
        max-width: 100px;
    }

    #image-savoir-faire-accueil > div, #image-decouvrir-entreprise > div {
        left: -40px !important;
    }

    #contact-form fieldset br {
        display: none;
    }
}

@media (max-width: 991.98px) {
    .card-container .card-domain {
        min-width: 80%;
        margin-bottom: 10px;
    }

    .big-text-section {
        font-size: 45px !important;
        line-height: 50px !important;
    }

    .big-text-section br {
        display: none;
    }

    h2.titre-section img.img-eco-circulaire {
        display: none;
    }

    .container-cards-alerts {
        padding-top: 30px;
        position: unset !important;
    }

    .container-cards-alerts #block-alert {
        margin-bottom: 20px;
    }

    #block-essai {
        margin-top: 40px;
    }

    #block-essai p br {
        display: none;
    }

    #block-essai p.big-text, #block-essai p.big-text span {
        font-size: 45px !important;
        line-height: 50px !important;
    }

    #image-savoir-faire-accueil {
        margin-left: auto !important;
        margin-right: auto !important;
        border-radius: 40px !important;
    }

    .bloc-droite-savoir-faire {
        padding-top: 40px;
    }

    #image-savoir-faire-accueil > div {
        position: unset !important;
    }

    #image-savoir-faire-accueil p {
        font-size: 14px !important;
        background-color: #ffffffde !important;
    }

    #image-savoir-faire-accueil p span {
        font-size: 35px !important;
    }

    #bandeau-savoirfaire-accueil {
        padding-top: 0 !important;
    }

    #bandeau-savoirfaire-accueil .bloc-droite-savoir-faire p.big-text span, #bandeau-savoirfaire-accueil .bloc-droite-savoir-faire p.big-text {
        font-size: 45px !important;
        line-height: 50px !important;
    }

    #bandeau-savoirfaire-accueil .bloc-droite-savoir-faire p br {
        display: none;
    }

    .contact-card .left-side-contact {
        border-top-left-radius: 40px !important;
        border-top-right-radius: 40px;
        border-bottom-left-radius: 0 !important;
    }

    .contact-card .right-side-contact {
        border-bottom-left-radius: 40px;
        border-bottom-right-radius: 40px !important;
    }

    #bandeau-contact-accueil {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .contact-card {
        position: unset !important;
    }

    .left-side-contact p br {
        display: none;
    }

    .left-side-contact .contact-text-first {
        font-size: 20px !important;
        line-height: 25px !important;
    }

    .left-side-contact .contact-text-second {
        font-size: 25px !important;
        line-height: 30px !important;
    }

    .left-side-contact .contact-text-third {
        font-size: 17px !important;
    }

    body main div.container-fluid .ignore-d-none-br br, body div.container-fluid .ignore-d-none-br br {
        display: unset !important;
    }

    #contact-form button {
        font-size: 18px;
    }

    #bandeau-clients-accueil p.big-text, #bandeau-clients-accueil p.big-text span {
        font-size: 44px !important;
        line-height: 50px !important;
    }

    .featured-news {
        margin-bottom: 40px;
    }

    .pagination-container {
        margin-bottom: 40px;
    }

    .footer-main-grid-2 {
        margin-top: 40px;
    }

    .footer-grid-4 {
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .footer-grid-4 button {
        margin-bottom: 20px !important;
    }

    .coordinates {
        display: block !important;
        text-align: left;
    }

    .coordinates p {
        margin-left: 0 !important;
        text-align: left !important;
    }

    .coordinates p br {
        display: none;
    }

    .access-duration {
        font-size: 12px !important;
    }

    .copyright {
        text-align: center;
        margin-bottom: 10px !important;
    }

    #about .slider-container {
        margin-bottom: 0 !important;
    }

    #about #block-savoir-faire > div * {
        margin-left: 0 !important;
        margin-right: 0 !important;
    }

    #about #block-savoir-faire > div .big-text-section {
        font-size: 37px !important;
    }

    #decouvrir-chaine {
        margin-bottom: 40px;
        text-align: center;
    }

    #photos-equipe img {
        border-radius: 40px !important;
    }

    #block-machines-neuves {
        position: unset !important;
        padding: 40px !important;
        border-radius: 40px !important;
    }

    #block-machines-neuves .col-lg-9 {
        padding: 0 !important;
    }

    .row-block-machines-neuves {
        margin-right: calc(-.5 * var(--bs-gutter-x)) !important;
        margin-left: calc(-.5 * var(--bs-gutter-x)) !important;
        padding-top: 40px;
        padding-bottom: 40px;
    }

    #image-decouvrir-entreprise {
        border-radius: 40px !important;
    }

    #image-decouvrir-entreprise > div {
        position: unset !important;
    }

    #image-decouvrir-entreprise > div {
        position: unset !important;
    }

    #image-decouvrir-entreprise p {
        font-size: 14px !important;
        background-color: #ffffffde !important;
    }

    #image-decouvrir-entreprise p span {
        font-size: 35px !important;
    }

    .accordion-item {
        padding: 0 !important;
    }

    .accordion-body {
        margin-left: 0 !important;
        padding: var(--bs-accordion-body-padding-y) var(--bs-accordion-body-padding-x) !important;
    }

    .planisphere {
        border-radius: 0 !important;
        padding: 20px !important;
    }

    #pays-intevention {
        margin-bottom: 0 !important;
    }

    #product-detail .navbar-liens {
        display: none;
    }

    #product-detail .filtre-ariane {
        margin-top: 10px;
    }

    .left-col-product-detail {
        margin-bottom: 30px;
    }

    .characteristics {
        margin-top: 30px;
    }

    .btn-voir-toutes-machines {
        font-size: 14px !important;
    }

    .ligne-1, .ligne-2, .ligne-3, .ligne-4, .ligne-5 {
        margin-bottom: 0 !important;
    }

    .column-equipier {
        margin-bottom: 60px;
    }

    .ligne-separator {
        display: none;
    }

    .logo-container {
        margin: 3px;
    }

    #BtnRechercheProduit {
        top: 80px !important;
    }
}


.card-domain {
    width: 300px;
    height: 280px;
    border-radius: 60px;
    border: none;
}

.card-domain:first-child, .card-domain:last-child {
    box-shadow: 0 7px 14px #F1F5FE;
}

.card-domain .card-text {
    font-size: 25px;
    font-weight: 600;
    line-height: 30px;
    text-align: center;
}

.card-domain .card-link {
    font-size: 18px;
    font-weight: 600;
    line-height: 30px;
    text-align: center;
}

h2.titre-section {
    font-size: 55px;
    line-height: 60.5px;
    text-align: left;
    font-weight: 400;
}

h2.titre-section span {
    font-weight: 700;
}

#machine-filter-form {
    box-shadow: 0 0 50px 0 #F1F5FE;
    border-radius: 10px;
}

/********* SELECT FILTRES *********/
.container-field {
    border-top: 1.3px solid var(--color-night-blue);
    border-right: 1.3px solid var(--color-night-blue);
    border-top-right-radius: 10px;
    padding-top: 10px;
    padding-left: 15px;
}

.container-field label {
    color: #8B8B8B;
}

.container-field .select2-container--default .select2-selection--single {
    border: unset;
}

/*********** CARD MACHINE **********/
#machines-container .card, #machines-searched-container .card {
    border-bottom: unset;
    border-left: unset;
    border-top-left-radius: unset;
    border-bottom-left-radius: unset;
    border-bottom-right-radius: unset;
    border-top: 1.3px solid var(--color-night-blue);
    border-right: 1.3px solid var(--color-night-blue);
}

#machines-container .card .card-header, #machines-searched-container .card .card-header {
    border: unset;
}

#machines-container .card .card-footer, #machines-searched-container .card .card-footer {
    border: unset;
}

#machines-container .card .card-header span, #machines-searched-container .card .card-header span {
    font-size: 10px;
    font-weight: 400;
    color: #8B8B8B;
}

#machines-container .card .card-header span span, #machines-searched-container .card .card-header span span {
    font-size: 10px;
    font-weight: 600;
}

#machines-container .card .card-title, #machines-searched-container .card .card-title {
    font-size: 18px;
    font-weight: 700;
    line-height: 30px;
}

#machines-container .card .card-title span, #machines-searched-container .card .card-title span {
    font-size: 13px;
    font-weight: 600;
    color: #8B8B8B;
}

#machines-container .card .card-text, #machines-searched-container .card .card-text {
    font-size: 22px;
    font-weight: 600;
    line-height: 25px;
    color: var(--color-night-blue);
}

#machines-container .card .card-footer small, #machines-searched-container .card .card-footer small {
    font-size: 13px;
    font-weight: 600;
    line-height: 18px;
    color: #8B8B8B !important;
}

#machines-container .card .card-footer small span, #machines-searched-container .card .card-footer small span {
    font-weight: 500;
}

#machines-container .card .card-footer button, #machines-searched-container .card .card-footer button {
    font-size: 30px;
    font-weight: 700;
    padding: 4px 5px;
    line-height: 20px;
    box-shadow: 2px 2px 20px 0 #F1F5FECC;
}

#machines-container .card .card-img-top, #machines-searched-container .card .card-img-top {
    max-width: 360px;
}

#machines-container .card .card-vignette, #machines-searched-container .card .card-vignette {
    top: 0;
    left: 40px;
    width: 65px;
    padding: 10px 0 5px 0;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

#machines-container .card .card-vignette p, #machines-searched-container .card .card-vignette p {
    font-size: 10px;
    font-weight: 700;
    line-height: 15px;
    text-transform: uppercase;
}

#machines-container .card .certification, #machines-searched-container .card .certification {
    right: 20px;
    top: 40px;
}

#machines-container .card .logo, #machines-searched-container .card .logo {
    right: 20px;
    top: -20px;
}

#BtnRechercheProduit {
    position: fixed;
    right: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    font-size: 25px;
    line-height: 35px;
    border-left: 2px solid #ffffff;
    border-top: 2px solid #ffffff;
    border-bottom: 2px solid #ffffff;
    top: 200px;
}


/********* FIN CARD MACHINE ********/

.zoom-in-out-element {
  animation: zoom-in-zoom-out 1.5s ease infinite;
}
@keyframes zoom-in-zoom-out {
  0% {
    scale: 100%;
  }
  50% {
    scale: 125%;
  }
  100% {
    scale: 100%;
  }
}

.customer-reference-name {
    font-size: 20px;
}

.container-cards-alerts {
    position: absolute;
    top: -200px;
}

#block-alert {
    background-color: #F1F5FE;
    border-radius: 80px;
    min-height: 380px;
}

#block-alert p {
    font-size: 30px;
    font-weight: 400;
    text-align: left !important;
    line-height: 34.5px;
}

#block-alert p span {
    font-weight: 700;
}

#block-rachat {
    color: #fff;
    border-radius: 80px;
}

#block-rachat p.big-text {
    font-size: 30px;
    font-weight: 400;
    line-height: 34.5px;
}

#block-rachat p.big-text span {
    font-weight: 700;
}

#block-rachat p {
    font-size: 18px;
    font-weight: 400;
}

#block-rachat p span.machine-name {
    font-weight: 500;
}

#bg-engrenages-bleu {
    background-size: cover;
    background-position: top left;
    position: relative; /* Assurez-vous que le contenu se place par-dessus */
    z-index: 0;
}

#bg-engrenages-bleu::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(20, 27, 46, 0.97); /* Couleur opaque */
    z-index: -1; /* Pour que l'overlay soit derrière le contenu */
}

#block-essai .sous-titre {
    font-size: 15px;
    font-weight: 500;
    line-height: 22.5px;
}

#block-essai p.big-text {
    font-size: 55px;
    font-weight: 400;
    line-height: 60.5px;
}

#block-essai p.big-text span {
    font-size: 55px;
    font-weight: 700;
}

#block-essai p {
    color: #fff;
}

#block-essai p span {
    font-size: 18px;
    font-weight: 700;
}

#block-essai .equipe-working-bg {
    background-size: cover;
    background-position: top left;
    border-top-left-radius: 80px;
}

#bandeau-savoirfaire-accueil {
    background-size: 390px auto;
    background-position: center right;
    background-repeat: no-repeat;
}

#image-savoir-faire-accueil {
    background-size: cover;
    background-position: center;
    border-radius: 80px;
    background-repeat: no-repeat;
    max-width: 550px;
}

#image-savoir-faire-accueil > div {
    left: -100px;
}

#image-savoir-faire-accueil p {
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    font-size: 18px;
    font-weight: 600;
    line-height: 22px;
    color: var(--bs-secondary);
}

#image-savoir-faire-accueil p span {
    font-size: 45px;
    font-weight: 700;
    line-height: 50px;
}

#image-decouvrir-entreprise {
    background-size: cover;
    background-position: right;
    border-radius: 80px;
    background-repeat: no-repeat;
    max-width: 550px;
}

#image-decouvrir-entreprise > div {
    left: -100px;
}

#image-decouvrir-entreprise p {
    color: #4D5765;
    max-width: 255px;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    font-size: 18px;
    font-weight: 600;
    line-height: 22px;
}

#image-decouvrir-entreprise p span {
    font-size: 45px;
    line-height: 50px;
}

#bandeau-savoirfaire-accueil .bloc-droite-savoir-faire p {
    font-size: 18px;
    font-weight: 400;
    line-height: 25px;
}

#bandeau-savoirfaire-accueil .bloc-droite-savoir-faire p span {
    font-weight: 700;
}

#bandeau-savoirfaire-accueil .bloc-droite-savoir-faire p.big-text {
    font-size: 55px;
    font-weight: 400;
    line-height: 60.5px;
}

#bandeau-savoirfaire-accueil .bloc-droite-savoir-faire p.big-text span {
    font-size: 55px;
    font-weight: 700;
    line-height: 60.5px;
}

#bandeau-savoirfaire-accueil .bloc-droite-savoir-faire .sous-titre {
    font-size: 15px;
    font-weight: 500;
    line-height: 22.5px;
}

#bandeau-savoirfaire-accueil .bloc-droite-savoir-faire .puce-savoir-faire {
    font-size: 18px;
    font-weight: 600;
    line-height: 32px;
}

#bandeau-savoirfaire-accueil .bloc-droite-savoir-faire .puce-savoir-faire i {
    font-size: 32px;
}

#home .bloc-actu {
    background: #F1F5FE;

}

.bloc-actu .sous-titre {
    font-size: 15px;
    font-weight: 500;
    line-height: 22.5px;
}

.bloc-actu p.big-text {
    font-size: 55px;
    font-weight: 400;
    line-height: 60.5px;
}

.bloc-actu p.big-text span {
    font-size: 55px;
    font-weight: 700;
    line-height: 60.5px;
}


#bandeau-decouvrir-entreprise {
    background-size: 390px auto;
    background-position: center right;
    background-repeat: no-repeat;
}

#bandeau-decouvrir-entreprise .bloc-droite-savoir-faire p {
    font-size: 18px;
    font-weight: 400;
    line-height: 25px;
}

#bandeau-decouvrir-entreprise .bloc-droite-savoir-faire p span {
    font-weight: 700;
}

#bandeau-decouvrir-entreprise .bloc-droite-savoir-faire p.big-text {
    font-size: 55px;
    font-weight: 400;
    line-height: 60.5px;
}

#bandeau-decouvrir-entreprise .bloc-droite-savoir-faire p.big-text span {
    font-size: 55px;
    font-weight: 700;
    line-height: 60.5px;
}

#bandeau-decouvrir-entreprise .bloc-droite-savoir-faire .sous-titre {
    font-size: 15px;
    font-weight: 500;
    line-height: 22.5px;
}

#bandeau-decouvrir-entreprise .bloc-droite-savoir-faire .puce-savoir-faire {
    font-size: 18px;
    font-weight: 600;
    line-height: 32px;
}

#bandeau-decouvrir-entreprise .bloc-droite-savoir-faire .puce-savoir-faire i {
    font-size: 32px;
}

.bloc-actu .sous-titre {
    font-size: 15px;
    font-weight: 500;
    line-height: 22.5px;
}

.bloc-actu p.big-text {
    font-size: 55px;
    font-weight: 400;
    line-height: 60.5px;
}

.bloc-actu p.big-text span {
    font-size: 55px;
    font-weight: 700;
    line-height: 60.5px;
}

.card-preview-news .square-image {
    width: 100px;
    height: 100px;
    min-width: 100px; /* Taille souhaitée du carré */
    min-height: 100px; /* Taille souhaitée du carré */
    overflow: hidden; /* Masquer la partie dépassante */
}

.card-preview-news img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Adapte l'image au conteneur en conservant ses proportions */
    border-radius: 15px;
}

.bloc-actu .img-featured {
    border-radius: 40px;
    width: 100%;
    max-width: 550px;
}

.bloc-actu .card-preview-news {
    border-top: unset;
    border-left: unset;
    border-right: unset;
    background-color: unset;
    border-bottom: var(--bs-border-width) solid var(--bs-border-color-translucent) !important;
    border-radius: 0;
}

.bloc-actu .news-block-link:last-child .card-preview-news {
    border-bottom: unset !important;
}

.bloc-actu .featured-news .news_title {
    font-size: 20px;
    font-weight: 800;
    line-height: 28px;
}

.bloc-actu .card-preview-news .card-title {
    font-size: 16px;
    font-weight: 800;
    line-height: 22.4px;
}

.news_content_preview {
    line-height: 22.4px;
}

.bloc-actu .card-preview-news .card-text, .publication_date {
    font-size: 14px;
    line-height: 22px;
    color: #666666;

}

.bloc-actu .card-preview-news .card-text span {
    font-weight: 700;
}

.bloc-actu .title-activites-recentes {
    font-size: 22px;
    font-weight: 600;
    line-height: 27.5px;
}

.bloc-actu .button-more-news div {
    border: 0.75px solid var(--bs-primary);
}

.bloc-actu .badge-category {
    font-size: 14px;
    font-weight: 700;
    line-height: 22px;
    color: #fff;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    top: 40px;
    padding: 5px 10px;
}

.logo-container {
    width: 180px;
    height: 80px;
    overflow: hidden;
    padding: 15px;
    border-radius: 20px;
    filter: grayscale(100%);
}

.logo-container img {
    width: 100%;
    height: 100%;
    object-fit: contain; /* Adapte l'image au conteneur en conservant ses proportions */
}

#bandeau-clients-accueil {
    background: #F1F5FE;
}

.slider-container {
    position: relative;
    width: 100%;
    overflow: hidden; /* Cache la partie de la vidéo qui dépasse la hauteur définie */
    background-repeat: no-repeat;
    background-size: cover;
}

.slider-video, .slider-overlay {
    display: none;
}

.slider-content {
    position: relative;
    z-index: 2; /* Place le contenu du slider au-dessus de l'overlay */
    color: #fff;
    text-align: center;
    padding: 20px;
}

.slider-sous-titre {
    font-size: 14px;
    font-weight: 500;
    line-height: 25px;
    letter-spacing: 0.05em;
}

.slider-titre {
    font-size: 38px;
    line-height: 48px;
    text-align: center;
    font-weight: 400;

}


.slider-titre span {
    font-weight: 700;
}

@media (min-width: 992px) {
    .card-container {
        position: absolute;
        top: -160px; /* Ajustez cette valeur pour déplacer les cartes plus ou moins haut */
        left: 50%;
        transform: translateX(-50%);
        z-index: 2;
    }

    #home .slider-container {
        height: 605px;
    }

    #about .slider-container {
        height: 430px;
    }

    .slider-sous-titre {
        font-size: 28px;
        line-height: 38.25px;
    }

    .slider-titre {
        font-size: 58px;
        line-height: 68px;

    }

    .slider-video {
        display: inherit;
        position: absolute;
        top: 50%;
        left: 50%;
        width: 100%;
        height: auto; /* Ajuste la hauteur automatiquement pour garder les proportions */
        transform: translate(-50%, -50%);
        object-fit: cover; /* La vidéo prend toute la largeur tout en couvrant le conteneur */
    }

    .slider-overlay {
        display: inherit;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(180deg, rgba(241, 245, 254, 0.7225) 40.46%, rgba(241, 245, 254, 0.85) 72.94%);
        pointer-events: none; /* Permet aux utilisateurs de cliquer à travers l'overlay */
        z-index: 1; /* Place l'overlay au-dessus de la vidéo */
    }

    .even .last {
        margin-right: 100px !important;
    }

    .odd .last {
        margin-right: 0 !important;
    }

    .odd .first {
        margin-left: 100px !important;
    }
}

#bandeau-clients-accueil p.big-text {
    font-size: 55px;
    font-weight: 400;
    line-height: 60.5px;
}

#bandeau-clients-accueil p.big-text span {
    font-size: 55px;
    font-weight: 700;
    line-height: 60.5px;
}

#bandeau-clients-accueil .sous-titre {
    font-size: 15px;
    font-weight: 500;
    line-height: 22.5px;
}

.left-side-contact .contact-text-first {
    font-size: 25px;
    line-height: 30px;
}

.left-side-contact p span {
    font-weight: 700;
}

.left-side-contact .contact-text-second {
    font-size: 30px;
    line-height: 34.5px;
}

.left-side-contact .contact-text-third {
    font-size: 22px;
}

.left-side-contact .contact-text-third span {
    font-size: 22px;
    font-weight: 800;
    line-height: 32px;
}

.contact-card .left-side-contact {
    border-top-left-radius: 80px;
    border-bottom-left-radius: 80px;
}

.contact-card .right-side-contact {
    border-top-right-radius: 80px;
    border-bottom-right-radius: 80px;
}

.contact-card {
    box-shadow: 0 10px 30px 0 #00000012;
    border-radius: 80px;
    background-color: unset;
    top: -350px;
}

#contact-form input, #contact-form select, #contact-form textarea {
    border: 1.3px solid #4D5765
}

.form-control:focus, .form-check-input:focus, .form-select:focus, .form-control:active, .form-check-input:active, .form-select:active {
    box-shadow: 0 0 0 .25rem rgba(236, 105, 50, .25);
}

footer .maps-soremat iframe {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

footer .footer-grid-1 p {
    font-size: 15px;
    line-height: 24px;
}

footer .footer-grid-1 p span {
    font-weight: 700;
}

footer .footer-grid-1 img {
    max-width: 220px;
}

footer .footer-grid-2 .box-contact {
    border-left: 1.3px solid var(--bs-primary);
    border-bottom: 1.3px solid var(--bs-primary);
    border-bottom-left-radius: 5px;
}

footer .footer-grid-2 .box-contact p {
    font-size: 15px;
    font-weight: 500;
    line-height: 20px;
}

footer .footer-grid-2 .box-contact p a {
    font-size: 18px;
    font-weight: 700;
    line-height: 23.4px;
    text-decoration: none;
}

footer .footer-grid-3 .liens-pages p {
    font-size: 16px;
    font-weight: 400;
    line-height: 20px;
}

footer .footer-grid-3 .liens-pages p a {
    text-decoration: none;
    color: #ffffff;
}

footer .horaires p {
    font-weight: 400;
}

footer .horaires p > span {
    font-weight: 700;
}

footer .title-column-footer {
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    text-align: left;
}

.access-duration {
    font-size: 16px;
    line-height: 20px;
    font-weight: 300;
}

.access-duration span {
    font-weight: 700;
}

.footer-standard-bottom {
    background-color: rgba(20, 27, 46, 0.82);
}

.footer-standard-bottom p.copyright, .footer-standard-bottom li a {
    font-size: 16px;
    font-weight: 400;
    line-height: 26px;
    text-decoration: none;
    color: #fff;
}

#contact .contact-text {
    font-size: 18px;
    line-height: 25px;
}

#contact #map-soremat iframe {
    width: 100% !important;
    border-radius: 40px;
}

#contact #bloc-contact {
    border-radius: 40px;
    top: -300px;
    box-shadow: 1px 3px 18px #ddd;
}

#alert #bloc-alert {
    border-radius: 40px;
    top: -200px;
    box-shadow: 1px 3px 18px #ddd;
}

#machines-new .slider-container {
    height: 390px;
}

.card-equipier {
    background-repeat: no-repeat;
    background-size: contain;
    position: relative;
    z-index: -2;
}

.card-equipier .numero-equipier {
    font-size: 125px;
    text-align: right;
    top: 0;
    right: 0;
    position: absolute;
    font-weight: 700;
    line-height: 105px;
    margin-bottom: 0;
    z-index: -1;
}

.column-equipier {
    padding: 0 40px;
}

.column-equipier p {
    font-size: 22px;
    line-height: 25px;
    letter-spacing: 0.01em;
}

.ligne-1, .ligne-2, .ligne-3, .ligne-4, .ligne-5 {
    margin-bottom: 60px;
}

.new-title {
    font-size: 22px;
    line-height: 35px;
}

.news-block-link {
    display: block; /* Permet de rendre tout le bloc cliquable */
    text-decoration: none; /* Supprime le soulignement par défaut des liens */
    color: inherit; /* Conserve la couleur du texte */
}

/********* DETAIL PRODUIT ********/
.machine-brand {
    font-size: 20px;
    line-height: 35px;
}

.machine-name {
    font-size: 22px;
    line-height: 35px;
}

#product-carousel {
    background: #F8F8F8;
}

#product-miniatures-carousel img {
    width: 100%;
    border-radius: 6px;
}

.slick-next:before, .slick-prev:before {
    color: var(--bs-primary) !important;
}

table.characteristics tbody tr:first-child td {
    border-top-width: var(--bs-border-width);
}

table.characteristics tbody td {
    border-left-width: var(--bs-border-width);
    border-right-width: var(--bs-border-width);
}

/*********************************/

#NumberMachinesQuote {
    font-size: 11px;
    width: 15px;
    height: 15px;
    text-align: center;
    line-height: 17px;
    top: -7px;
}